#!/bin/bash
clear
echo "======================================================"
echo "| This script fetches the latest svn-version of the  |"
echo "| KDE 4 iconset oxygen. Should be run as root for    |"
echo "| installation...                                0.3 |"
echo "======================================================"
echo ""
echo "start checking out svn (or updating)"
echo ""
echo "when starting a fresh download, this could take some time."
echo "updating should only take a few seconds,"
echo "depending on the version you already have."
echo ""
svn co svn://anonsvn.kde.org/home/kde/trunk/KDE/kdelibs/pics/oxygen
echo "done downloading..."
echo "do you want to install the iconset in /usr/share/icons/? (must be root) [y/N]:"
read install
case $install in
Y) echo "copying to /usr/share/icons/... (this could take some time)" && sudo cp -R oxygen/ /usr/share/icons/ && echo "done installing...";;
y) echo "copying to /usr/share/icons/... (this could take some time)" && sudo cp -R oxygen/ /usr/share/icons/ && echo "done installing...";;
n) echo "not installing";;
N) echo "not installing";;
"") echo "not installing";;
*) echo "wrong input..."; read;;
esac
echo "do you want to remove the original downloaded folder? [y/N]"
echo "(chose No if you want to update later or chose yes if you don't):"
read delete
case $delete in
Y) rm -R oxygen/ && echo "removed...";;
y) rm -R oxygen/ && echo "removed...";;
n) echo "not removing";;
N) echo "not removing";;
"") echo "not removing";;
*) echo "wrong input..."; read;;
esac
echo "all done"
exit 0